> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Catalog

GET https://api.npretail.app/{tenant}/{environment}/{company}/membership/catalog/{storeCode}

Get the list of membership items and their descriptions for a specific store.

Reference: https://docs.navipartner.com/apis/api-reference/memberships/service-catalog/get-catalog

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `storeCode` (string, optional) — A unique identifier for a store - a logical grouping defining a subset of membership items. This is used to filter the list of membership related items returned by the API.

### Query parameters

- `itemNumber` (string, optional) — Unique identifier for an item.

## Response

### 200

- `storeCode` (string, required) — A unique identifier for a store - a logical grouping defining a subset of membership items. This is used to filter the list of membership related items returned by the API.
- `items` (list of MembershipItemCatalogDTO, optional)

## Types

### MembershipItemCatalogDTO

Describes a membership item available for sale, including its unique identifier, pricing, type, and descriptions, Used to present detailed membership options to customers.

- `itemNumber` (string, required) — Unique identifier for an item.
- `type` (enum, required) — Type of membership item.
  - Allowed values: `newMembership`, `addMember`, `addAnonymousMember`, `addCard`, `replaceCard`
- `recommendedPrice` (double, required) — The amount including VAT associated with the membership.
- `membershipCode` (string, required) — Code representing the type of membership.
- `itemDescription` (string, required) — Description of the entity.
- `shortDescription` (string, required) — Description of the entity.
- `fullDescription` (string, required) — Description of the entity.

## Examples

Example response for the getCatalog endpoint

**Response**

```json
{
  "storeCode": "EN",
  "items": [
    {
      "itemNumber": "M12345",
      "type": "newMembership",
      "recommendedPrice": 100,
      "membershipCode": "GOLD",
      "itemDescription": "Membership Item",
      "shortDescription": "Short Description including HTML styling",
      "fullDescription": "Full Description including HTML styling"
    }
  ]
}
```

**SDK Code**

```python ExampleCatalog1
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN"

querystring = {"itemNumber":"M12345"}

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript ExampleCatalog1
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go ExampleCatalog1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby ExampleCatalog1
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java ExampleCatalog1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php ExampleCatalog1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp ExampleCatalog1
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift ExampleCatalog1
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./membership/catalog/EN?itemNumber=M12345")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```